JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::SubscriptionKey Class Reference
juce_midi_ci » ci

A key used to uniquely identify ongoing property subscriptions initiated by a ci::Device. More...

`#include <juce_CISubscriptionManager.h>`

## Public Member Functions
| SubscriptionKey ()=default
| Constructor.
| SubscriptionKey (MUID muid, Token64 key)
| Constructor.
MUID | getMuid () const
| Returns the muid of the device to which we are subscribed.
Token64 | getKey () const
| Returns an identifier unique to this subscription.
bool | operator== (const SubscriptionKey &other) const
| Equality operator.
bool | operator!= (const SubscriptionKey &other) const
| Inequality operator.
bool | operator< (const SubscriptionKey &other) const
| Less-than operator.

## Detailed Description

A key used to uniquely identify ongoing property subscriptions initiated by a ci::Device.

## Constructor & Destructor Documentation

## ◆ SubscriptionKey() [1/2]

juce::midi_ci::SubscriptionKey::SubscriptionKey | ( |  | ) |
| default

Constructor.

## ◆ SubscriptionKey() [2/2]

juce::midi_ci::SubscriptionKey::SubscriptionKey | ( | MUID | muid,
|  | Token64 | key )

Constructor.

## Member Function Documentation

## ◆ getMuid()

MUID juce::midi_ci::SubscriptionKey::getMuid | ( |  | ) | const

Returns the muid of the device to which we are subscribed.

## ◆ getKey()

Token64 juce::midi_ci::SubscriptionKey::getKey | ( |  | ) | const

Returns an identifier unique to this subscription.

## ◆ operator==()

bool juce::midi_ci::SubscriptionKey::operator== | ( | const SubscriptionKey & | other | ) | const

Equality operator.

## ◆ operator!=()

bool juce::midi_ci::SubscriptionKey::operator!= | ( | const SubscriptionKey & | other | ) | const

Inequality operator.

## ◆ operator<()

bool juce::midi_ci::SubscriptionKey::operator< | ( | const SubscriptionKey & | other | ) | const

Less-than operator.

The documentation for this class was generated from the following file:

- juce_CISubscriptionManager.h